package com.ytpm.middle.service;

import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;
import com.ytpm.middle.param.AppForm;
import com.ytpm.middle.param.AppListParam;
import com.ytpm.middle.param.GrantAppParam;
import com.ytpm.middle.view.AppListVO;
import com.ytpm.middle.view.DropDownVO;

public interface AppService {
    /**
     *  应用列表
     */
    ResultTable<AppListVO> appList(AppListParam param);
    /**
     * 新增上架应用
     */
    Result<String> addApp(AppForm form);
    /**
     * 删除应用
     */
    Result<String> delApp(String appId, String userId);

    /**
     * 应用授权企业
     */
    Result<String> grantApp( GrantAppParam param);
    /**
     * 修改上架应用信息
     */
    Result<String> updateApp(AppForm form);

    /**
     * 查询上架应用
     */
    ResultTable<DropDownVO> getIssuedAppList();

    /**
     * 根据上级应用获取apk包
     */
    ResultTable<DropDownVO> getApkList(String appId);
}
